
From: Alexey Dobriyan <adobriyan@gmail.com>

Add 1630 ioctls for starters.  Add myself as a maintainer of the registry
(I know, I'll curse this day).

Documenting types of arguments and descriptions is the first goal.

Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/ioctl-mess.txt | 1640 +++++++++++++++++++++++++++++++++++++++++++
 MAINTAINERS                  |    6 
 2 files changed, 1646 insertions(+)

diff -puN /dev/null Documentation/ioctl-mess.txt
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ devel-akpm/Documentation/ioctl-mess.txt	2005-09-12 03:34:58.000000000 -0700
@@ -0,0 +1,1640 @@
+				IOCTL REGISTRY
+				==============
+
+If you've found an ioctl that isn't listed here, send a patch to current
+ioctl-mess.txt maintainer (see MAINTAINERS). If you're lazy or don't have
+time for patch-cooking, simple "there is SIOCGPIZZA ioctl" notice via email
+would also be fine.
+
+Please, keep the list in alphabetical order.
+----------------------------------------------------------------------------
+0x1260
+0x41545900
+0x41545901
+0x4B50
+0x4B51
+ADD_NEW_DISK
+AGPIOC_ALLOCATE
+AGPIOC_BIND
+AGPIOC_DEALLOCATE
+AGPIOC_INFO
+AGPIOC_PROTECT
+AGPIOC_RESERVE
+AGPIOC_SETUP
+AGPIOC_UNBIND
+ATMARPD_CTRL
+ATMARP_ENCAP
+ATMARP_MKIP
+ATMARP_SETENTRY
+ATMLEC_CTRL
+ATMLEC_DATA
+ATMLEC_MCAST
+ATMMPC_CTRL
+ATMMPC_DATA
+ATMSIGD_CTRL
+ATMTCP_CREATE
+ATMTCP_REMOVE
+ATM_ADDADDR
+ATM_ADDADDR32
+ATM_ADDPARTY
+ATM_DELADDR
+ATM_DELADDR32
+ATM_DROPPARTY
+ATM_GETADDR
+ATM_GETADDR32
+ATM_GETCIRANGE
+ATM_GETCIRANGE32
+ATM_GETESI
+ATM_GETESI32
+ATM_GETLINKRATE
+ATM_GETLINKRATE32
+ATM_GETLOOP
+ATM_GETLOOP32
+ATM_GETNAMES
+ATM_GETNAMES32
+ATM_GETSTAT
+ATM_GETSTAT32
+ATM_GETSTATZ
+ATM_GETSTATZ32
+ATM_GETTYPE
+ATM_GETTYPE32
+ATM_NEWBACKENDIF
+ATM_QUERYLOOP
+ATM_QUERYLOOP32
+ATM_RSTADDR
+ATM_RSTADDR32
+ATM_SETBACKEND
+ATM_SETCIRANGE
+ATM_SETCIRANGE32
+ATM_SETESI
+ATM_SETESI32
+ATM_SETESIF
+ATM_SETESIF32
+ATM_SETLOOP
+ATM_SETLOOP32
+ATM_SETSC
+AUDC_CONFIG_PINNACLE
+AUDC_SET_INPUT
+AUDIO_DIAG_LOOPBACK
+AUDIO_DRAIN
+AUDIO_FLUSH
+AUDIO_GETDEV
+AUDIO_GETDEV_SUNOS
+AUDIO_GETINFO
+AUDIO_GET_CAPABILITIES
+AUDIO_GET_STATUS
+AUDIO_SETINFO
+AUDIO_SET_ATTRIBUTES
+AUDIO_SET_KARAOKE
+AUDIO_SET_MIXER
+AUTOFS_IOC_ASKREGHOST
+AUTOFS_IOC_ASKUMOUNT
+AUTOFS_IOC_CATATONIC
+AUTOFS_IOC_EXPIRE
+AUTOFS_IOC_EXPIRE_MULTI
+AUTOFS_IOC_FAIL
+AUTOFS_IOC_PROTOSUBVER
+AUTOFS_IOC_PROTOVER
+AUTOFS_IOC_READY
+AUTOFS_IOC_SETTIMEOUT32
+AUTOFS_IOC_TOGGLEREGHOST
+BIODASDCMFDISABLE
+BIODASDCMFENABLE
+BIODASDDISABLE
+BIODASDENABLE
+BIODASDFMT
+BIODASDFORMAT
+BIODASDGATTR
+BIODASDINFO
+BIODASDINFO2
+BIODASDPRRD
+BIODASDPRRST
+BIODASDPSRD
+BIODASDQUIESCE
+BIODASDREADALLCMB
+BIODASDRESUME
+BIODASDRLSE
+BIODASDRSRV
+BIODASDSATTR
+BIODASDSLCK
+BLKBSZGET
+BLKBSZGET_32
+BLKBSZSET
+BLKBSZSET_32
+BLKELVGET
+BLKELVSET
+BLKFLSBUF
+BLKFRAGET
+BLKFRASET
+BLKGETSIZE
+BLKGETSIZE64
+BLKGETSIZE64_32
+BLKI2OGRSTRAT
+BLKI2OGWSTRAT
+BLKI2OSRSTRAT
+BLKI2OSWSTRAT
+BLKPG
+BLKRAGET
+BLKRASET
+BLKROGET
+BLKROSET
+BLKRRPART
+BLKSECTGET
+BLKSECTSET
+BLKSSZGET
+BNEPCONNADD
+BNEPCONNDEL
+BNEPGETCONNINFO
+BNEPGETCONNLIST
+BPP_GET_DATA
+BPP_GET_PINS
+BPP_PUT_DATA
+BPP_PUT_PINS
+BPP_SET_INPUT
+BR2684_SETFILT
+BT832_HEXDUMP
+BT832_REATTACH
+BTTV_VBISIZE
+BTTV_VERSION
+BUZIOC_G_PARAMS
+BUZIOC_G_STATUS
+BUZIOC_QBUF_CAPT
+BUZIOC_QBUF_PLAY
+BUZIOC_REQBUFS
+BUZIOC_SYNC
+BUZIOC_S_PARAMS
+CAPI_CLR_FLAGS
+CAPI_GET_ERRCODE
+CAPI_GET_FLAGS
+CAPI_GET_MANUFACTURER
+CAPI_GET_PROFILE
+CAPI_GET_SERIAL
+CAPI_GET_VERSION
+CAPI_INSTALLED
+CAPI_MANUFACTURER_CMD
+CAPI_NCCI_GETUNIT
+CAPI_NCCI_OPENCOUNT
+CAPI_REGISTER
+CAPI_SET_FLAGS
+CA_GET_CAP
+CA_GET_DESCR_INFO
+CA_GET_MSG
+CA_GET_SLOT_INFO
+CA_SEND_MSG
+CA_SET_DESCR
+CA_SET_PID
+CDROMCLOSETRAY
+CDROMEJECT
+CDROMEJECT_SW
+CDROMMULTISESSION
+CDROMPAUSE
+CDROMPLAYBLK
+CDROMPLAYMSF
+CDROMPLAYTRKIND
+CDROMREADALL
+CDROMREADAUDIO
+CDROMREADCOOKED
+CDROMREADMODE1
+CDROMREADMODE2
+CDROMREADRAW
+CDROMREADTOCENTRY
+CDROMREADTOCHDR
+CDROMRESET
+CDROMRESUME
+CDROMSEEK
+CDROMSTART
+CDROMSTOP
+CDROMSUBCHNL
+CDROMVOLCTRL
+CDROMVOLREAD
+CDROM_CHANGER_NSLOTS
+CDROM_CLEAR_OPTIONS
+CDROM_DEBUG
+CDROM_DISC_STATUS
+CDROM_DRIVE_STATUS
+CDROM_GET_CAPABILITY
+CDROM_GET_MCN
+CDROM_LOCKDOOR
+CDROM_MEDIA_CHANGED
+CDROM_SELECT_DISC
+CDROM_SELECT_SPEED
+CDROM_SEND_PACKET
+CDROM_SET_OPTIONS
+CHIOEXCHANGE
+CHIOGELEM
+CHIOGPARAMS
+CHIOGPICKER
+CHIOGSTATUS
+CHIOGSTATUS32
+CHIOGVPARAMS
+CHIOMOVE
+CHIOPOSITION
+CHIOSPICKER
+CHIOSVOLTAG
+CIOC_KERNEL_VERSION
+CLEAR_ARRAY
+CMD_AC97_BOOST
+CMD_GETCTLGPR
+CMD_GETGPR
+CMD_GETGPR2OSS
+CMD_GETPATCH
+CMD_GETRECSRC
+CMD_GETVOICEPARAM
+CMD_PRIVATE3_VERSION
+CMD_READFN0
+CMD_READPTR
+CMD_SETCTLGPR
+CMD_SETGPOUT
+CMD_SETGPR
+CMD_SETGPR2OSS
+CMD_SETMCH_FX
+CMD_SETPASSTHROUGH
+CMD_SETPATCH
+CMD_SETRECSRC
+CMD_SETVOICEPARAM
+CMD_WRITEFN0
+CMD_WRITEPTR
+CMTPCONNADD
+CMTPCONNDEL
+CMTPGETCONNINFO
+CMTPGETCONNLIST
+COSAIOBMSET
+COSAIODOWNLD
+COSAIORIDSTR
+COSAIORMEM
+COSAIORTYPE
+COSAIOSTRT
+D7SIOCRD
+D7SIOCTM
+D7SIOCWR
+DASDAPIVER
+DECODER_ENABLE_OUTPUT
+DECODER_GET_CAPABILITIES
+DECODER_GET_STATUS
+DECODER_INDYCAM_GET_CONTROLS
+DECODER_INDYCAM_SET_CONTROLS
+DECODER_INIT
+DECODER_SAA7191_GET_CONTROLS
+DECODER_SAA7191_GET_STATUS
+DECODER_SAA7191_SET_CONTROLS
+DECODER_SAA7191_SET_NORM
+DECODER_SET_GPIO
+DECODER_SET_INPUT
+DECODER_SET_NORM
+DECODER_SET_OUTPUT
+DECODER_SET_PICTURE
+DECODER_SET_VBI_BYPASS
+DEVFSDIOC_GET_PROTO_REV
+DEVFSDIOC_RELEASE_EVENT_QUEUE
+DEVFSDIOC_SET_DEBUG_MASK
+DEVFSDIOC_SET_EVENT_MASK
+DMX_GET_CAPS
+DMX_GET_EVENT
+DMX_GET_PES_PIDS
+DMX_GET_STC
+DMX_SET_FILTER
+DMX_SET_PES_FILTER
+DMX_SET_SOURCE
+DM_DEV_CREATE
+DM_DEV_CREATE_32
+DM_DEV_REMOVE
+DM_DEV_REMOVE_32
+DM_DEV_RENAME
+DM_DEV_RENAME_32
+DM_DEV_STATUS
+DM_DEV_STATUS_32
+DM_DEV_SUSPEND
+DM_DEV_SUSPEND_32
+DM_DEV_WAIT
+DM_DEV_WAIT_32
+DM_LIST_DEVICES
+DM_LIST_DEVICES_32
+DM_LIST_VERSIONS
+DM_LIST_VERSIONS_32
+DM_REMOVE_ALL
+DM_REMOVE_ALL_32
+DM_TABLE_CLEAR
+DM_TABLE_CLEAR_32
+DM_TABLE_DEPS
+DM_TABLE_DEPS_32
+DM_TABLE_LOAD
+DM_TABLE_LOAD_32
+DM_TABLE_STATUS
+DM_TABLE_STATUS_32
+DM_TARGET_MSG
+DM_TARGET_MSG_32
+DM_VERSION
+DM_VERSION_32
+DPT_BLINKLED
+DPT_CTRLINFO
+DPT_DEBUG
+DPT_NUMCTRLS
+DPT_PERF_INFO
+DPT_SIGNATURE
+DPT_SIGNATURE_PACKED
+DPT_STATS_INFO
+DPT_SYSINFO
+DPT_TARGET_BUSY
+DRM32_IOCTL_ADD_MAP
+DRM32_IOCTL_DMA
+DRM32_IOCTL_FREE_BUFS
+DRM32_IOCTL_GET_UNIQUE
+DRM32_IOCTL_INFO_BUFS
+DRM32_IOCTL_MAP_BUFS
+DRM32_IOCTL_RES_CTX
+DRM32_IOCTL_SET_UNIQUE
+DRM32_IOCTL_VERSION
+DRM_IOCTL_ADD_BUFS
+DRM_IOCTL_ADD_CTX
+DRM_IOCTL_ADD_DRAW
+DRM_IOCTL_AUTH_MAGIC
+DRM_IOCTL_BLOCK
+DRM_IOCTL_CONTROL
+DRM_IOCTL_FINISH
+DRM_IOCTL_GET_CTX
+DRM_IOCTL_GET_MAGIC
+DRM_IOCTL_IRQ_BUSID
+DRM_IOCTL_LOCK
+DRM_IOCTL_MARK_BUFS
+DRM_IOCTL_MOD_CTX
+DRM_IOCTL_NEW_CTX
+DRM_IOCTL_RM_CTX
+DRM_IOCTL_RM_DRAW
+DRM_IOCTL_SWITCH_CTX
+DRM_IOCTL_UNBLOCK
+DRM_IOCTL_UNLOCK
+DS_ACCESS_CONFIGURATION_REGISTER
+DS_ADJUST_RESOURCE_INFO
+DS_BIND_MTD
+DS_BIND_REQUEST
+DS_GET_CONFIGURATION_INFO
+DS_GET_DEVICE_INFO
+DS_GET_FIRST_REGION
+DS_GET_FIRST_TUPLE
+DS_GET_FIRST_WINDOW
+DS_GET_MEM_PAGE
+DS_GET_NEXT_DEVICE
+DS_GET_NEXT_REGION
+DS_GET_NEXT_TUPLE
+DS_GET_NEXT_WINDOW
+DS_GET_STATUS
+DS_GET_TUPLE_DATA
+DS_PARSE_TUPLE
+DS_REPLACE_CIS
+DS_UNBIND_REQUEST
+DS_VALIDATE_CIS
+DVD_AUTH
+DVD_READ_STRUCT
+DVD_WRITE_STRUCT
+EATAUSRCMD
+ENCODER_ENABLE_OUTPUT
+ENCODER_GET_CAPABILITIES
+ENCODER_SET_INPUT
+ENCODER_SET_NORM
+ENCODER_SET_OUTPUT
+ENI_MEMDUMP
+ENI_SETMULT
+ENVCTRL_RD_CPU_TEMPERATURE
+ENVCTRL_RD_CPU_VOLTAGE
+ENVCTRL_RD_ETHERNET_TEMPERATURE
+ENVCTRL_RD_FAN_STATUS
+ENVCTRL_RD_GLOBALADDRESS
+ENVCTRL_RD_MTHRBD_TEMPERATURE
+ENVCTRL_RD_SCSI_TEMPERATURE
+ENVCTRL_RD_SHUTDOWN_TEMPERATURE
+ENVCTRL_RD_VOLTAGE_STATUS
+ENVCTRL_RD_WARNING_TEMPERATURE
+EVIOCGABS(abs)
+EVIOCGEFFECTS
+EVIOCGID
+EVIOCGKEYCODE
+EVIOCGRAB
+EVIOCGVERSION
+EVIOCRMFF
+EVIOCSABS(abs)
+EVIOCSKEYCODE
+EXT2_IOC32_GETFLAGS
+EXT2_IOC32_GETVERSION
+EXT2_IOC32_SETFLAGS
+EXT2_IOC32_SETVERSION
+FBIOBLANK
+FBIOGATTR
+FBIOGCURMAX
+FBIOGCURPOS
+FBIOGCURSOR
+FBIOGCURSOR32
+FBIOGETCMAP
+FBIOGETCMAP32
+FBIOGETCMAP_SPARC
+FBIOGET_CON2FBMAP
+FBIOGET_FSCREENINFO
+FBIOGET_VBLANK
+FBIOGET_VSCREENINFO
+FBIOGTYPE
+FBIOGVIDEO
+FBIOPAN_DISPLAY
+FBIOPUTCMAP
+FBIOPUTCMAP32
+FBIOPUTCMAP_SPARC
+FBIOPUT_CON2FBMAP
+FBIOPUT_VSCREENINFO
+FBIOSATTR
+FBIOSCURPOS
+FBIOSCURSOR
+FBIOSCURSOR32
+FBIOSVIDEO
+FBIO_ATY128_GET_MIRROR
+FBIO_ATY128_SET_MIRROR
+FBIO_CURSOR
+FBIO_GETCONTROL2
+FBIO_RADEON_GET_MIRROR
+FBIO_RADEON_SET_MIRROR
+FBIO_WAITFORVSYNC
+FBIO_WID_ALLOC
+FBIO_WID_FREE
+FBIO_WID_GET
+FBIO_WID_PUT
+FDCLRPRM
+FDDEFPRM
+FDDEFPRM32
+FDEJECT
+FDFLUSH
+FDFMTBEG
+FDFMTEND
+FDFMTTRK
+FDGETDRVPRM
+FDGETDRVPRM32
+FDGETDRVSTAT
+FDGETDRVSTAT32
+FDGETDRVTYP
+FDGETFDCSTAT
+FDGETFDCSTAT32
+FDGETMAXERRS
+FDGETPRM
+FDGETPRM32
+FDMSGOFF
+FDMSGON
+FDPOLLDRVSTAT
+FDPOLLDRVSTAT32
+FDRAWCMD
+FDRESET
+FDSETDRVPRM
+FDSETDRVPRM32
+FDSETEMSGTRESH
+FDSETMAXERRS
+FDSETPRM
+FDSETPRM32
+FDTWADDLE
+FDWERRORCLR
+FDWERRORGET
+FDWERRORGET32
+FE_DISEQC_RECV_SLAVE_REPLY
+FE_DISEQC_SEND_MASTER_CMD
+FE_GET_EVENT
+FE_GET_FRONTEND
+FE_GET_INFO
+FE_READ_BER
+FE_READ_SIGNAL_STRENGTH
+FE_READ_SNR
+FE_READ_STATUS
+FE_READ_UNCORRECTED_BLOCKS
+FE_SET_FRONTEND
+FIBMAP
+FIGETBSZ
+FIOASYNC
+FIOCLEX
+FIOGETOWN
+FIONBIO
+FIONCLEX
+FIONREAD
+FIOQSIZE
+FIOSETOWN
+GCDESCRIBE
+GCID
+GCMAP
+GCTERM
+GCUNMAP
+GET_ARRAY_INFO
+GET_BITMAP_FILE
+GET_DISK_INFO
+GIO_FONT
+GIO_FONTX
+GIO_SCRNMAP
+GIO_UNIMAP
+GIO_UNISCRNMAP
+HCIDEVDOWN
+HCIDEVRESET
+HCIDEVRESTAT
+HCIDEVUP
+HCIGETCONNINFO
+HCIGETCONNLIST
+HCIGETDEVINFO
+HCIGETDEVLIST
+HCIINQUIRY
+HCISETACLMTU
+HCISETAUTH
+HCISETENCRYPT
+HCISETLINKMODE
+HCISETLINKPOL
+HCISETPTYPE
+HCISETRAW
+HCISETSCAN
+HCISETSCOMTU
+HCISETSECMGR
+HCIUARTGETPROTO
+HCIUARTSETPROTO
+HDIO_DRIVE_CMD
+HDIO_DRIVE_TASK
+HDIO_GETGEO
+HDIO_GET_32BIT
+HDIO_GET_DMA
+HDIO_GET_IDENTITY
+HDIO_GET_KEEPSETTINGS
+HDIO_GET_MULTCOUNT
+HDIO_GET_NICE
+HDIO_GET_NOWERR
+HDIO_GET_UNMASKINTR
+HDIO_SCAN_HWIF
+HDIO_SET_32BIT
+HDIO_SET_DMA
+HDIO_SET_KEEPSETTINGS
+HDIO_SET_MULTCOUNT
+HDIO_SET_NICE
+HDIO_SET_NOWERR
+HDIO_SET_PIO_MODE
+HDIO_SET_UNMASKINTR
+HE_GET_REG
+HIDIOCAPPLICATION
+HIDIOCGCOLLECTIONINDEX
+HIDIOCGCOLLECTIONINFO
+HIDIOCGDEVINFO
+HIDIOCGFIELDINFO
+HIDIOCGFLAG
+HIDIOCGREPORT
+HIDIOCGREPORTINFO
+HIDIOCGSTRING
+HIDIOCGUCODE
+HIDIOCGUSAGE
+HIDIOCGUSAGES
+HIDIOCGVERSION
+HIDIOCINITREPORT
+HIDIOCSFLAG
+HIDIOCSREPORT
+HIDIOCSUSAGE
+HIDIOCSUSAGES
+HIDPCONNADD
+HIDPCONNDEL
+HIDPGETCONNINFO
+HIDPGETCONNLIST
+HOT_ADD_DISK
+HOT_REMOVE_DISK
+HPET_INFO
+HPET_IRQFREQ
+I2C_FUNCS
+I2C_PEC
+I2C_RDWR
+I2C_RETRIES
+I2C_SLAVE
+I2C_SLAVE_FORCE
+I2C_SMBUS
+I2C_TENBIT
+I2C_TIMEOUT
+I2OEVTGET
+I2OEVTREG
+I2OGETIOPS
+I2OHRTGET
+I2OHTML
+I2OLCTGET
+I2OPARMGET
+I2OPARMSET
+I2OPASSTHRU
+I2OPASSTHRU32
+I2OSWDEL
+I2OSWDL
+I2OSWUL
+I2OVALIDATE
+I8K_BIOS_VERSION
+I8K_FN_STATUS
+I8K_GET_FAN
+I8K_GET_SPEED
+I8K_GET_TEMP
+I8K_MACHINE_ID
+I8K_POWER_STATUS
+I8K_SET_FAN
+IDT77105_GETSTAT
+IDT77105_GETSTATZ
+IOCTL_AU_BUFLEN
+IOCTL_AU_CONNECT
+IOCTL_AU_DEVINFO
+IOCTL_AU_RXAVAIL
+IOCTL_AU_SERVREQ
+IOCTL_AU_SLEN
+IOCTL_AU_TXREADY
+IOCTL_DAB_BULK
+IOCTL_DAB_OVERRUNS
+IOCTL_DAB_VERSION
+IOCTL_MW_DSP_ABILITIES
+IOCTL_MW_GET_IPC
+IOCTL_MW_READCLEAR_DATA
+IOCTL_MW_READ_DATA
+IOCTL_MW_READ_INST
+IOCTL_MW_REGISTER_IPC
+IOCTL_MW_TRACE
+IOCTL_MW_UNREGISTER_IPC
+IOCTL_MW_WRITE_DATA
+IOCTL_MW_WRITE_INST
+IOCTL_TIPAR_DELAY
+IOCTL_TIPAR_TIMEOUT
+IOCTL_TISER_DELAY
+IOCTL_TISER_TIMEOUT
+IOCTL_TIUSB_GET_DEVID
+IOCTL_TIUSB_GET_MAXPS
+IOCTL_TIUSB_RESET_DEVICE
+IOCTL_TIUSB_RESET_PIPES
+IOCTL_TIUSB_TIMEOUT
+IOC_NVRAM_GET_OFFSET
+IXJCTL_AEC_START
+IXJCTL_CARDTYPE
+IXJCTL_CID
+IXJCTL_CIDCW
+IXJCTL_DAA_AGAIN
+IXJCTL_DAA_COEFF_SET
+IXJCTL_DRYBUFFER_READ
+IXJCTL_DSP_TYPE
+IXJCTL_DSP_VERSION
+IXJCTL_DTMF_PRESCALE
+IXJCTL_FILTER_CADENCE
+IXJCTL_FRAMES_READ
+IXJCTL_FRAMES_WRITTEN
+IXJCTL_GET_FILTER_HIST
+IXJCTL_HZ
+IXJCTL_INIT_TONE
+IXJCTL_INTERCOM_START
+IXJCTL_INTERCOM_STOP
+IXJCTL_MIXER
+IXJCTL_PORT
+IXJCTL_POTS_PSTN
+IXJCTL_RATE
+IXJCTL_READ_WAIT
+IXJCTL_SC_RXG
+IXJCTL_SC_TXG
+IXJCTL_SERIAL
+IXJCTL_SET_FILTER
+IXJCTL_SET_FILTER_RAW
+IXJCTL_SET_LED
+IXJCTL_SIGCTL
+IXJCTL_TONE_CADENCE
+IXJCTL_VERSION
+IXJCTL_VMWI
+IXJCTL_WRITE_WAIT
+JSIOCGAXES
+JSIOCGAXMAP
+JSIOCGBTNMAP
+JSIOCGBUTTONS
+JSIOCGCORR
+JSIOCGVERSION
+JSIOCSAXMAP
+JSIOCSBTNMAP
+JSIOCSCORR
+KDFONTOP
+KDGETKEYCODE
+KDGETLED
+KDGETMODE
+KDGKBDIACR
+KDGKBENT
+KDGKBLED
+KDGKBMETA
+KDGKBMODE
+KDGKBSENT
+KDGKBTYPE
+KDKBDREP
+KDMKTONE
+KDSETKEYCODE
+KDSETLED
+KDSETMODE
+KDSIGACCEPT
+KDSKBDIACR
+KDSKBENT
+KDSKBLED
+KDSKBMETA
+KDSKBMODE
+KDSKBSENT
+KIOCCMD
+KIOCGLED
+KIOCGRATE
+KIOCGTRANS
+KIOCLAYOUT
+KIOCSDIRECT
+KIOCSLED
+KIOCSOUND
+KIOCSRATE
+KIOCTRANS
+KIOCTYPE
+LEO_CLUTALLOC
+LEO_CLUTFREE
+LEO_CLUTPOST
+LEO_CLUTREAD
+LEO_GETGAMMA
+LEO_SETGAMMA
+LOOP_CHANGE_FD
+LOOP_CLR_FD
+LOOP_GET_STATUS
+LOOP_GET_STATUS64
+LOOP_SET_FD
+LOOP_SET_STATUS
+LOOP_SET_STATUS64
+LPGETSTATUS
+MATROXFB_GET_ALL_OUTPUTS
+MATROXFB_GET_AVAILABLE_OUTPUTS
+MATROXFB_GET_OUTPUT_CONNECTION
+MATROXFB_GET_OUTPUT_MODE
+MATROXFB_SET_OUTPUT_CONNECTION
+MATROXFB_SET_OUTPUT_MODE
+MCE_GETCLEAR_FLAGS
+MCE_GET_LOG_LEN
+MCE_GET_RECORD_LEN
+MEGAIOCCMD
+MEMERASE
+MEMGETBADBLOCK
+MEMGETINFO
+MEMGETOOBSEL
+MEMGETREGIONCOUNT
+MEMGETREGIONINFO
+MEMLOCK
+MEMREADOOB
+MEMREADOOB32
+MEMSETBADBLOCK
+MEMSETOOBSEL
+MEMUNLOCK
+MEMWRITEOOB
+MEMWRITEOOB32
+MEYEIOC_G_PARAMS
+MEYEIOC_QBUF_CAPT
+MEYEIOC_STILLJCAPT
+MEYEIOC_SYNC
+MEYEIOC_S_PARAMS
+MPTCOMMAND
+MPTCOMMAND32
+MPTEVENTENABLE
+MPTEVENTQUERY
+MPTEVENTREPORT
+MPTFWDOWNLOAD
+MPTFWDOWNLOAD32
+MPTFWREPLACE
+MPTHARDRESET
+MPTIOCINFO
+MPTIOCINFO1
+MPTIOCINFO2
+MPTRWPERF
+MPTTARGETINFO
+MPTTEST
+MSP_GET_DFPREG
+MSP_SET_DFPREG
+MSP_SET_MATRIX
+MTIOCFTCMD
+MTIOCFTFORMAT
+MTIOCGET
+MTIOCGET32
+MTIOCGETCONFIG
+MTIOCGETSIZE
+MTIOCPOS
+MTIOCPOS32
+MTIOCRDFTSEG
+MTIOCSETCONFIG
+MTIOCTOP
+MTIOCVOLINFO
+MTIOCWRFTSEG
+MTIOC_ZFTAPE_GETBLKSZ
+MTRRIOC32_ADD_ENTRY
+MTRRIOC32_ADD_PAGE_ENTRY
+MTRRIOC32_DEL_ENTRY
+MTRRIOC32_DEL_PAGE_ENTRY
+MTRRIOC32_GET_ENTRY
+MTRRIOC32_GET_PAGE_ENTRY
+MTRRIOC32_KILL_ENTRY
+MTRRIOC32_KILL_PAGE_ENTRY
+MTRRIOC32_SET_ENTRY
+MTRRIOC32_SET_PAGE_ENTRY
+MXB_S_AUDIO_CD
+MXB_S_AUDIO_LINE
+NBD_CLEAR_QUE
+NBD_CLEAR_SOCK
+NBD_DISCONNECT
+NBD_DO_IT
+NBD_PRINT_DEBUG
+NBD_SET_BLKSIZE
+NBD_SET_SIZE
+NBD_SET_SIZE_BLOCKS
+NBD_SET_SOCK
+NCP_IOC_CONN_LOGGED_IN
+NCP_IOC_GETCHARSETS
+NCP_IOC_GETDENTRYTTL
+NCP_IOC_GETMOUNTUID2_32
+NCP_IOC_GETOBJECTNAME_32
+NCP_IOC_GETPRIVATEDATA_32
+NCP_IOC_GETROOT
+NCP_IOC_GET_FS_INFO_V2_32
+NCP_IOC_LOCKUNLOCK
+NCP_IOC_NCPREQUEST_32
+NCP_IOC_SETCHARSETS
+NCP_IOC_SETDENTRYTTL
+NCP_IOC_SETOBJECTNAME_32
+NCP_IOC_SETPRIVATEDATA_32
+NCP_IOC_SETROOT
+NCP_IOC_SET_SIGN_WANTED
+NCP_IOC_SIGN_INIT
+NCP_IOC_SIGN_WANTED
+NET_ADD_IF
+NET_GET_IF
+NS_GETPSTAT
+NS_SETBUFLEV
+OPIOCGET
+OPIOCGETCHILD
+OPIOCGETNEXT
+OPIOCGETOPTNODE
+OPIOCNEXTPROP
+OPIOCSET
+OPROMCHILD
+OPROMGETBOOTARGS
+OPROMGETCONS
+OPROMGETFBNAME
+OPROMGETOPT
+OPROMGETPROP
+OPROMNEXT
+OPROMNXTOPT
+OPROMNXTPROP
+OPROMPATH2NODE
+OPROMPCI2NODE
+OPROMSETCUR
+OPROMSETOPT
+OPROMSETOPT2
+OPROMU2P
+OSD_GET_CAPABILITY
+OSD_SEND_CMD
+OSS_GETVERSION
+OTPGETREGIONCOUNT
+OTPGETREGIONINFO
+OTPLOCK
+OTPSELECT
+OV511IOC_RI2C
+OV511IOC_WI2C
+OVCAMCHIP_CMD_G_CTRL
+OVCAMCHIP_CMD_INITIALIZE
+OVCAMCHIP_CMD_Q_SUBTYPE
+OVCAMCHIP_CMD_S_CTRL
+OVCAMCHIP_CMD_S_MODE
+PACKET_CTRL_CMD
+PA_PERF_OFF
+PA_PERF_ON
+PA_PERF_VERSION
+PCIIOC_CONTROLLER
+PCIIOC_MMAP_IS_IO
+PCIIOC_MMAP_IS_MEM
+PCIIOC_WRITE_COMBINE
+PHONE_CAPABILITIES_CHECK
+PHONE_CAPABILITIES_LIST
+PHONE_DTMF_OOB
+PHONE_DTMF_READY
+PHONE_EXCEPTION
+PHONE_FRAME
+PHONE_GET_DTMF
+PHONE_GET_DTMF_ASCII
+PHONE_MAXRINGS
+PHONE_PLAY_CODEC
+PHONE_PLAY_DEPTH
+PHONE_PLAY_TONE
+PHONE_PLAY_VOLUME
+PHONE_PLAY_VOLUME_LINEAR
+PHONE_PSTN_SET_STATE
+PHONE_QUERY_CODEC
+PHONE_REC_CODEC
+PHONE_REC_DEPTH
+PHONE_REC_VOLUME
+PHONE_REC_VOLUME_LINEAR
+PHONE_RING_CADENCE
+PHONE_RING_START
+PHONE_SET_TONE_OFF_TIME
+PHONE_SET_TONE_ON_TIME
+PHONE_VAD
+PHONE_WINK
+PHONE_WINK_DURATION
+PIO_FONT
+PIO_FONTRESET
+PIO_FONTX
+PIO_SCRNMAP
+PIO_UNIMAP
+PIO_UNIMAPCLR
+PIO_UNISCRNMAP
+PLANBG_GRAB_BPL
+PLANBIOCGMODE
+PLANBIOCGSAAREGS
+PLANBIOCGSTAT
+PLANBIOCSMODE
+PLANBIOCSSAAREGS
+PLANB_INTR_DEBUG
+PLANB_INV_REGS
+PPCLAIM
+PPCLRIRQ
+PPDATADIR
+PPEXCL
+PPFCONTROL
+PPGETFLAGS
+PPGETMODE
+PPGETMODES
+PPGETPHASE
+PPNEGOT
+PPPIOCATTACH
+PPPIOCATTCHAN
+PPPIOCBUNDLE
+PPPIOCCONNECT
+PPPIOCDETACH
+PPPIOCDISCONN
+PPPIOCGASYNCMAP
+PPPIOCGCALLINFO
+PPPIOCGCHAN
+PPPIOCGCOMPRESSORS
+PPPIOCGDEBUG
+PPPIOCGFLAGS
+PPPIOCGIDLE
+PPPIOCGIDLE32
+PPPIOCGIFNAME
+PPPIOCGMPFLAGS
+PPPIOCGMRU
+PPPIOCGNPMODE
+PPPIOCGRASYNCMAP
+PPPIOCGUNIT
+PPPIOCGXASYNCMAP
+PPPIOCNEWUNIT
+PPPIOCSACTIVE
+PPPIOCSACTIVE32
+PPPIOCSASYNCMAP
+PPPIOCSCOMPRESS
+PPPIOCSCOMPRESS32
+PPPIOCSCOMPRESSOR
+PPPIOCSDEBUG
+PPPIOCSFLAGS
+PPPIOCSMAXCID
+PPPIOCSMPFLAGS
+PPPIOCSMPMRU
+PPPIOCSMPMTU
+PPPIOCSMRRU
+PPPIOCSMRU
+PPPIOCSNPMODE
+PPPIOCSPASS
+PPPIOCSPASS32
+PPPIOCSRASYNCMAP
+PPPIOCSXASYNCMAP
+PPPIOCXFERUNIT
+PPPOEIOCDFWD
+PPPOEIOCGFWD
+PPPOEIOCSFWD
+PPRCONTROL
+PPRDATA
+PPRELEASE
+PPRSTATUS
+PPSETFLAGS
+PPSETMODE
+PPSETPHASE
+PPWCONTROL
+PPWCTLONIRQ
+PPWDATA
+PPYIELD
+PRINT_RAID_DEBUG
+PROTECT_ARRAY
+RAID_AUTORUN
+RAID_VERSION
+RAW_GETBIND
+RAW_SETBIND
+REISERFS_IOC_UNPACK32
+RESTART_ARRAY_RW
+RFCOMMCREATEDEV
+RFCOMMGETDEVINFO
+RFCOMMGETDEVLIST
+RFCOMMRELEASEDEV
+RFCOMMSTEALDLC
+RNDADDENTROPY
+RNDADDTOENTCNT
+RNDCLEARPOOL
+RNDGETENTCNT
+RNDGETPOOL
+RNDZAPENTCNT
+RTC32_EPOCH_READ
+RTC32_EPOCH_SET
+RTC32_IRQP_READ
+RTC32_IRQP_SET
+RTCGET
+RTCSET
+RTC_AIE_OFF
+RTC_AIE_ON
+RTC_ALM_READ
+RTC_ALM_SET
+RTC_EPOCH_READ
+RTC_EPOCH_READ32
+RTC_EPOCH_SET
+RTC_EPOCH_SET32
+RTC_IRQP_READ
+RTC_IRQP_READ32
+RTC_IRQP_SET
+RTC_IRQP_SET32
+RTC_PIE_OFF
+RTC_PIE_ON
+RTC_PLL_GET
+RTC_PLL_SET
+RTC_RD_TIME
+RTC_SET_CHARGE
+RTC_SET_TIME
+RTC_UIE_OFF
+RTC_UIE_ON
+RTC_VLOW_RD
+RTC_WIE_OFF
+RTC_WIE_ON
+RTC_WKALM_RD
+RTC_WKALM_SET
+RUN_ARRAY
+SBPROF_ZBSTART
+SBPROF_ZBSTOP
+SBPROF_ZBWAITFULL
+SCSI_IOCTL_DOORLOCK
+SCSI_IOCTL_DOORUNLOCK
+SCSI_IOCTL_GET_BUS_NUMBER
+SCSI_IOCTL_GET_IDLUN
+SCSI_IOCTL_GET_PCI
+SCSI_IOCTL_PROBE_HOST
+SCSI_IOCTL_SEND_COMMAND
+SCSI_IOCTL_TEST_UNIT_READY
+SET_ARRAY_INFO
+SET_BITMAP_FILE
+SET_DISK_FAULTY
+SET_DISK_INFO
+SG_EMULATED_HOST
+SG_GET_COMMAND_Q
+SG_GET_KEEP_ORPHAN
+SG_GET_LOW_DMA
+SG_GET_NUM_WAITING
+SG_GET_PACK_ID
+SG_GET_REQUEST_TABLE
+SG_GET_RESERVED_SIZE
+SG_GET_SCSI_ID
+SG_GET_SG_TABLESIZE
+SG_GET_TIMEOUT
+SG_GET_TRANSFORM
+SG_GET_VERSION_NUM
+SG_IO
+SG_NEXT_CMD_LEN
+SG_SCSI_RESET
+SG_SET_COMMAND_Q
+SG_SET_DEBUG
+SG_SET_FORCE_LOW_DMA
+SG_SET_FORCE_PACK_ID
+SG_SET_KEEP_ORPHAN
+SG_SET_RESERVED_SIZE
+SG_SET_TIMEOUT
+SG_SET_TRANSFORM
+SIOCADDDLCI
+SIOCADDMULTI
+SIOCADDRT
+SIOCATALKDIFADDR
+SIOCATMARK
+SIOCBONDCHANGEACTIVE
+SIOCBONDENSLAVE
+SIOCBONDINFOQUERY
+SIOCBONDRELEASE
+SIOCBONDSETHWADDR
+SIOCBONDSLAVEINFOQUERY
+SIOCBRADDBR
+SIOCBRADDIF
+SIOCBRDELBR
+SIOCBRDELIF
+SIOCDARP
+SIOCDELDLCI
+SIOCDELMULTI
+SIOCDELRT
+SIOCDIFADDR
+SIOCDRARP
+SIOCETHTOOL
+SIOCGARP
+SIOCGIFADDR
+SIOCGIFBR
+SIOCGIFBRDADDR
+SIOCGIFCONF
+SIOCGIFDSTADDR
+SIOCGIFENCAP
+SIOCGIFFLAGS
+SIOCGIFHWADDR
+SIOCGIFINDEX
+SIOCGIFMAP
+SIOCGIFMEM
+SIOCGIFMETRIC
+SIOCGIFMTU
+SIOCGIFNAME
+SIOCGIFNETMASK
+SIOCGIFPFLAGS
+SIOCGIFTXQLEN
+SIOCGIFVLAN
+SIOCGIWAP
+SIOCGIWAPLIST
+SIOCGIWENCODE
+SIOCGIWESSID
+SIOCGIWFRAG
+SIOCGIWFREQ
+SIOCGIWMODE
+SIOCGIWNAME
+SIOCGIWNICKN
+SIOCGIWNWID
+SIOCGIWPOWER
+SIOCGIWPRIV
+SIOCGIWRANGE
+SIOCGIWRATE
+SIOCGIWRETRY
+SIOCGIWRTS
+SIOCGIWSCAN
+SIOCGIWSENS
+SIOCGIWSPY
+SIOCGIWSTATS
+SIOCGIWTHRSPY
+SIOCGIWTXPOW
+SIOCGMIIPHY
+SIOCGMIIREG
+SIOCGPGRP
+SIOCGPPPCSTATS
+SIOCGPPPSTATS
+SIOCGPPPVER
+SIOCGRARP
+SIOCGSTAMP
+SIOCMKCLIP
+SIOCRTMSG
+SIOCSARP
+SIOCSIFADDR
+SIOCSIFATMTCP
+SIOCSIFBR
+SIOCSIFBRDADDR
+SIOCSIFDSTADDR
+SIOCSIFENCAP
+SIOCSIFFLAGS
+SIOCSIFHWADDR
+SIOCSIFLINK
+SIOCSIFMAP
+SIOCSIFMEM
+SIOCSIFMETRIC
+SIOCSIFMTU
+SIOCSIFNAME
+SIOCSIFNETMASK
+SIOCSIFPFLAGS
+SIOCSIFTXQLEN
+SIOCSIFVLAN
+SIOCSIWAP
+SIOCSIWCOMMIT
+SIOCSIWENCODE
+SIOCSIWESSID
+SIOCSIWFRAG
+SIOCSIWFREQ
+SIOCSIWMODE
+SIOCSIWNICKN
+SIOCSIWNWID
+SIOCSIWPOWER
+SIOCSIWPRIV
+SIOCSIWRANGE
+SIOCSIWRATE
+SIOCSIWRETRY
+SIOCSIWRTS
+SIOCSIWSCAN
+SIOCSIWSENS
+SIOCSIWSPY
+SIOCSIWSTATS
+SIOCSIWTHRSPY
+SIOCSIWTXPOW
+SIOCSMIIREG
+SIOCSPGRP
+SIOCSRARP
+SISFB_GET_AUTOMAXIMIZE
+SISFB_GET_AUTOMAXIMIZE_OLD
+SISFB_GET_INFO
+SISFB_GET_INFO_OLD
+SISFB_GET_INFO_SIZE
+SISFB_GET_TVPOSOFFSET
+SISFB_GET_VBRSTATUS
+SISFB_GET_VBRSTATUS_OLD
+SISFB_SET_AUTOMAXIMIZE
+SISFB_SET_AUTOMAXIMIZE_OLD
+SISFB_SET_LOCK
+SISFB_SET_TVPOSOFFSET
+SISUSB_COMMAND
+SISUSB_GET_CONFIG
+SISUSB_GET_CONFIG_SIZE
+SMB_IOC_GETMOUNTUID_32
+SMB_IOC_NEWCONN
+SNDCTL_COPR_HALT
+SNDCTL_COPR_LOAD
+SNDCTL_COPR_RCODE
+SNDCTL_COPR_RCVMSG
+SNDCTL_COPR_RDATA
+SNDCTL_COPR_RESET
+SNDCTL_COPR_RUN
+SNDCTL_COPR_SENDMSG
+SNDCTL_COPR_WCODE
+SNDCTL_COPR_WDATA
+SNDCTL_DSP_CHANNELS
+SNDCTL_DSP_GETBLKSIZE
+SNDCTL_DSP_GETCAPS
+SNDCTL_DSP_GETFMTS
+SNDCTL_DSP_GETIPTR
+SNDCTL_DSP_GETISPACE
+SNDCTL_DSP_GETODELAY
+SNDCTL_DSP_GETOPTR
+SNDCTL_DSP_GETOSPACE
+SNDCTL_DSP_GETTRIGGER
+SNDCTL_DSP_NONBLOCK
+SNDCTL_DSP_POST
+SNDCTL_DSP_PROFILE
+SNDCTL_DSP_RESET
+SNDCTL_DSP_SETDUPLEX
+SNDCTL_DSP_SETFMT
+SNDCTL_DSP_SETFRAGMENT
+SNDCTL_DSP_SETSYNCRO
+SNDCTL_DSP_SETTRIGGER
+SNDCTL_DSP_SPEED
+SNDCTL_DSP_STEREO
+SNDCTL_DSP_SUBDIVIDE
+SNDCTL_DSP_SYNC
+SNDCTL_FM_4OP_ENABLE
+SNDCTL_FM_LOAD_INSTR
+SNDCTL_MIDI_INFO
+SNDCTL_MIDI_MPUCMD
+SNDCTL_MIDI_MPUMODE
+SNDCTL_MIDI_PRETIME
+SNDCTL_SEQ_CTRLRATE
+SNDCTL_SEQ_GETINCOUNT
+SNDCTL_SEQ_GETOUTCOUNT
+SNDCTL_SEQ_GETTIME
+SNDCTL_SEQ_NRMIDIS
+SNDCTL_SEQ_NRSYNTHS
+SNDCTL_SEQ_OUTOFBAND
+SNDCTL_SEQ_PANIC
+SNDCTL_SEQ_PERCMODE
+SNDCTL_SEQ_RESET
+SNDCTL_SEQ_RESETSAMPLES
+SNDCTL_SEQ_SYNC
+SNDCTL_SEQ_TESTMIDI
+SNDCTL_SEQ_THRESHOLD
+SNDCTL_SYNTH_CONTROL
+SNDCTL_SYNTH_ID
+SNDCTL_SYNTH_INFO
+SNDCTL_SYNTH_MEMAVL
+SNDCTL_SYNTH_REMOVESAMPLE
+SNDCTL_TMR_CONTINUE
+SNDCTL_TMR_METRONOME
+SNDCTL_TMR_SELECT
+SNDCTL_TMR_SOURCE
+SNDCTL_TMR_START
+SNDCTL_TMR_STOP
+SNDCTL_TMR_TEMPO
+SNDCTL_TMR_TIMEBASE
+SND_SSCAPE_LOAD_BOOTB
+SND_SSCAPE_LOAD_MCODE
+SONET_CLRDIAG
+SONET_GETDIAG
+SONET_GETFRAMING
+SONET_GETFRSENSE
+SONET_GETSTAT
+SONET_GETSTATZ
+SONET_SETDIAG
+SONET_SETFRAMING
+SOUND_MIXER_3DSE
+SOUND_MIXER_ACCESS
+SOUND_MIXER_AGC
+SOUND_MIXER_GETLEVELS
+SOUND_MIXER_INFO
+SOUND_MIXER_PRIVATE1
+SOUND_MIXER_PRIVATE2
+SOUND_MIXER_PRIVATE3
+SOUND_MIXER_PRIVATE4
+SOUND_MIXER_PRIVATE5
+SOUND_MIXER_SETLEVELS
+SOUND_OLD_MIXER_INFO
+SOUND_PCM_READ_BITS
+SOUND_PCM_READ_CHANNELS
+SOUND_PCM_READ_FILTER
+SOUND_PCM_READ_RATE
+SOUND_PCM_WRITE_FILTER
+SPIOCSTYPE
+SSP_FRAME_SYNC
+SSP_INBUFCHUNK
+SSP_IPOLARITY
+SSP_MODE
+SSP_OPOLARITY
+SSP_SPEED
+SSP_SPI
+START_ARRAY
+STOP_ARRAY
+STOP_ARRAY_RO
+TAPE390_DISPLAY
+TCFLSH
+TCGETA
+TCGETS
+TCSBRK
+TCSBRKP
+TCSETA
+TCSETAF
+TCSETAW
+TCSETS
+TCSETSF
+TCSETSW
+TCXONC
+TDA9840_DETECT
+TDA9840_LEVEL_ADJUST
+TDA9840_STEREO_ADJUST
+TDA9840_SWITCH
+TDA9840_TEST
+TDA9887_SET_CONFIG
+TEA6415C_SWITCH
+TEA6420_SWITCH
+TIOCCBRK
+TIOCCONS
+TIOCEXCL
+TIOCGDEV
+TIOCGETC
+TIOCGETD
+TIOCGETP
+TIOCGICOUNT
+TIOCGLTC
+TIOCGPGRP
+TIOCGPTN
+TIOCGSERIAL
+TIOCGSID
+TIOCGSOFTCAR
+TIOCGWINSZ
+TIOCLINUX
+TIOCMBIC
+TIOCMBIS
+TIOCMGET
+TIOCMIWAIT
+TIOCMSET
+TIOCNOTTY
+TIOCNXCL
+TIOCOUTQ
+TIOCPKT
+TIOCSBRK
+TIOCSCTTY
+TIOCSERGETLSR
+TIOCSERGETMULTI
+TIOCSERGSTRUCT
+TIOCSERGWILD
+TIOCSERSETMULTI
+TIOCSERSWILD
+TIOCSETA
+TIOCSETAF
+TIOCSETAW
+TIOCSETC
+TIOCSETD
+TIOCSETN
+TIOCSETP
+TIOCSLTC
+TIOCSPGRP
+TIOCSPTLCK
+TIOCSSERIAL
+TIOCSSOFTCAR
+TIOCSTART
+TIOCSTI
+TIOCSTOP
+TIOCSWINSZ
+TIOCTTYGSTRUCT
+TOSH_SMM
+TS_GET_CAL
+TS_SET_CAL
+TUNER_SET_TYPE_ADDR
+TUNSETDEBUG
+TUNSETIFF
+TUNSETLINK
+TUNSETNOCSUM
+TUNSETOWNER
+TUNSETPERSIST
+UDF_GETEABLOCK
+UDF_GETEASIZE
+UDF_GETVOLIDENT
+UDF_RELOCATE_BLOCKS
+UNPROTECT_ARRAY
+USBDEVFS_BULK
+USBDEVFS_BULK32
+USBDEVFS_CLAIMINTERFACE
+USBDEVFS_CLEAR_HALT
+USBDEVFS_CONNECTINFO
+USBDEVFS_CONTROL
+USBDEVFS_CONTROL32
+USBDEVFS_DISCARDURB
+USBDEVFS_DISCSIGNAL
+USBDEVFS_DISCSIGNAL32
+USBDEVFS_GETDRIVER
+USBDEVFS_HUB_PORTINFO
+USBDEVFS_REAPURB
+USBDEVFS_REAPURB32
+USBDEVFS_REAPURBNDELAY
+USBDEVFS_REAPURBNDELAY32
+USBDEVFS_RELEASEINTERFACE
+USBDEVFS_RESET
+USBDEVFS_RESETEP
+USBDEVFS_SETCONFIGURATION
+USBDEVFS_SETINTERFACE
+USBDEVFS_SUBMITURB
+USBDEVFS_SUBMITURB32
+USBTEST_REQUEST
+VFAT_IOCTL_READDIR_BOTH32
+VFAT_IOCTL_READDIR_SHORT32
+VIDEO_GET_CAPABILITIES
+VIDEO_GET_EVENT
+VIDEO_GET_FRAME_RATE
+VIDEO_GET_NAVI
+VIDEO_GET_SIZE
+VIDEO_GET_STATUS
+VIDEO_SET_HIGHLIGHT
+VIDEO_SET_SPU
+VIDEO_SET_SPU_PALETTE
+VIDEO_STILLPICTURE
+VIDIOCCAPTURE
+VIDIOCGAUDIO
+VIDIOCGCAP
+VIDIOCGCAPTURE
+VIDIOCGCHAN
+VIDIOCGFBUF
+VIDIOCGFBUF32
+VIDIOCGFREQ
+VIDIOCGFREQ32
+VIDIOCGMBUF
+VIDIOCGPICT
+VIDIOCGPLAYINFO
+VIDIOCGTUNER
+VIDIOCGTUNER32
+VIDIOCGUNIT
+VIDIOCGVBIFMT
+VIDIOCGWIN
+VIDIOCGWIN32
+VIDIOCKEY
+VIDIOCMCAPTURE
+VIDIOCPWCGAGC
+VIDIOCPWCGAWB
+VIDIOCPWCGAWBSPEED
+VIDIOCPWCGBACKLIGHT
+VIDIOCPWCGCONTOUR
+VIDIOCPWCGCQUAL
+VIDIOCPWCGDYNNOISE
+VIDIOCPWCGFLICKER
+VIDIOCPWCGLED
+VIDIOCPWCGREALSIZE
+VIDIOCPWCGSERIAL
+VIDIOCPWCGVIDCMD
+VIDIOCPWCGVIDTABLE
+VIDIOCPWCMPTGANGLE
+VIDIOCPWCMPTGRANGE
+VIDIOCPWCMPTRESET
+VIDIOCPWCMPTSANGLE
+VIDIOCPWCMPTSTATUS
+VIDIOCPWCPROBE
+VIDIOCPWCSAGC
+VIDIOCPWCSAWB
+VIDIOCPWCSAWBSPEED
+VIDIOCPWCSBACKLIGHT
+VIDIOCPWCSCONTOUR
+VIDIOCPWCSCQUAL
+VIDIOCPWCSDYNNOISE
+VIDIOCPWCSFLICKER
+VIDIOCPWCSLED
+VIDIOCPWCSSHUTTER
+VIDIOCSAUDIO
+VIDIOCSCAPTURE
+VIDIOCSCHAN
+VIDIOCSFBUF
+VIDIOCSFBUF32
+VIDIOCSFREQ
+VIDIOCSFREQ32
+VIDIOCSMICROCODE
+VIDIOCSPICT
+VIDIOCSPLAYMODE
+VIDIOCSTUNER
+VIDIOCSTUNER32
+VIDIOCSVBIFMT
+VIDIOCSWIN
+VIDIOCSWIN32
+VIDIOCSWRITEMODE
+VIDIOCSYNC
+VIDIOC_CROPCAP
+VIDIOC_CROPCAP_OLD
+VIDIOC_DQBUF
+VIDIOC_ENUMAUDIO
+VIDIOC_ENUMAUDOUT
+VIDIOC_ENUMINPUT
+VIDIOC_ENUMOUTPUT
+VIDIOC_ENUMSTD
+VIDIOC_ENUM_FMT
+VIDIOC_G_AUDIO
+VIDIOC_G_AUDIO_OLD
+VIDIOC_G_AUDOUT
+VIDIOC_G_AUDOUT_OLD
+VIDIOC_G_CROP
+VIDIOC_G_CTRL
+VIDIOC_G_FBUF
+VIDIOC_G_FMT
+VIDIOC_G_FREQUENCY
+VIDIOC_G_INPUT
+VIDIOC_G_JPEGCOMP
+VIDIOC_G_MODULATOR
+VIDIOC_G_MPEGCOMP
+VIDIOC_G_OUTPUT
+VIDIOC_G_PARM
+VIDIOC_G_PRIORITY
+VIDIOC_G_STD
+VIDIOC_G_TUNER
+VIDIOC_OVERLAY
+VIDIOC_OVERLAY_OLD
+VIDIOC_QBUF
+VIDIOC_QUERYBUF
+VIDIOC_QUERYCAP
+VIDIOC_QUERYCTRL
+VIDIOC_QUERYMENU
+VIDIOC_QUERYSTD
+VIDIOC_REQBUFS
+VIDIOC_STREAMOFF
+VIDIOC_STREAMON
+VIDIOC_S_AUDIO
+VIDIOC_S_AUDOUT
+VIDIOC_S_CROP
+VIDIOC_S_CTRL
+VIDIOC_S_CTRL_OLD
+VIDIOC_S_FBUF
+VIDIOC_S_FMT
+VIDIOC_S_FREQUENCY
+VIDIOC_S_INPUT
+VIDIOC_S_JPEGCOMP
+VIDIOC_S_MODULATOR
+VIDIOC_S_MPEGCOMP
+VIDIOC_S_OUTPUT
+VIDIOC_S_PARM
+VIDIOC_S_PARM_OLD
+VIDIOC_S_PRIORITY
+VIDIOC_S_STD
+VIDIOC_S_TUNER
+VIDIOC_TRY_FMT
+VMCP_GETCODE
+VMCP_GETSIZE
+VMCP_SETBUF
+VTXIOCCLRFOUND
+VTXIOCCLRPAGE
+VTXIOCGETINFO
+VTXIOCGETPAGE
+VTXIOCGETSTAT
+VTXIOCPAGEREQ
+VTXIOCSETVIRT
+VTXIOCSTOPDAU
+VT_ACTIVATE
+VT_DISALLOCATE
+VT_GETMODE
+VT_GETSTATE
+VT_LOCKSWITCH
+VT_OPENQRY
+VT_RELDISP
+VT_RESIZE
+VT_RESIZEX
+VT_SETMODE
+VT_UNLOCKSWITCH
+VT_WAITACTIVE
+VUIDGFORMAT
+VUIDSFORMAT
+WDIOC_GETBOOTSTATUS
+WDIOC_GETSTATUS
+WDIOC_GETSUPPORT
+WDIOC_GETTEMP
+WDIOC_GETTIMEOUT
+WDIOC_KEEPALIVE
+WDIOC_SETOPTIONS
+WDIOC_SETTIMEOUT
+WIOCGSTAT
+WIOCSTART
+WIOCSTOP
+WRITE_RAID_INFO
+ZATM_GETPOOL
+ZATM_GETPOOLZ
+ZATM_SETPOOL
+__NET_ADD_IF_OLD
+__NET_GET_IF_OLD
+__TIOCFLUSH
+__TIOCGETC
+__TIOCGETP
+__TIOCGETX
+__TIOCGLTC
+__TIOCGSIZE
+__TIOCISIZE
+__TIOCISPACE
+__TIOCLBIC
+__TIOCLBIS
+__TIOCLGET
+__TIOCLSET
+__TIOCMODG
+__TIOCMODS
+__TIOCREMOTE
+__TIOCSETC
+__TIOCSETN
+__TIOCSETP
+__TIOCSETX
+__TIOCSIGNAL
+__TIOCSLTC
+__TIOCSSIZE
+__TIOCTCNTL
+__TIOCUCNTL
diff -puN MAINTAINERS~documentation-ioctl-messtxt-start-tree-wide-ioctl-registry MAINTAINERS
--- devel/MAINTAINERS~documentation-ioctl-messtxt-start-tree-wide-ioctl-registry	2005-09-12 03:34:58.000000000 -0700
+++ devel-akpm/MAINTAINERS	2005-09-12 03:34:58.000000000 -0700
@@ -1288,6 +1288,12 @@ M:	ralf@linux-mips.org
 L:	linux-mips@linux-mips.org
 S:	Maintained
 
+IOCTL REGISTRY (Documentation/ioctl-mess.txt)
+P:	Alexey Dobriyan
+M:	adobriyan@gmail.com
+L:	linux-kernel@vger.kernel.org
+S:	Maintained
+
 IP MASQUERADING:
 P:	Juanjo Ciarlante
 M:	jjciarla@raiz.uncu.edu.ar
_
